import React, { ReactElement } from "react"
import { Link } from "gatsby"

import { Content } from "@onegeo/gatsby-theme-onegeo"
import { Map } from "@onegeo/gatsby-theme-onegeo"

function map(): ReactElement {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc/core">Retour</Link>

                <h1>Map</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`
interface MapProps {
  idMap: number;
}`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <div className="flex gap-6 m-4 h-96">
                <Map idMap={109} />
            </div>
        </Content>
    )
}

export default map
